    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------------
    028     * CategoryAnnotation.java
    029     * -----------------------
    030     * (C) Copyright 2003-2005, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: CategoryAnnotation.java,v 1.2.2.1 2005/10/25 16:51:15 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 02-Apr-2003 : Version 1 (DG);
    040     * 02-Jul-2003 : Eliminated Annotation base interface (DG);
    041     *
    042     */
    043
    044    package org.jfree.chart.annotations;
    045
    046    import java.awt.Graphics2D;
    047    import java.awt.geom.Rectangle2D;
    048
    049    import org.jfree.chart.axis.CategoryAxis;
    050    import org.jfree.chart.axis.ValueAxis;
    051    import org.jfree.chart.plot.CategoryPlot;
    052
    053    /**
    054     * The interface that must be supported by annotations that are to be added to
    055     * a {@link org.jfree.chart.plot.CategoryPlot}.
    056     */
    057    public interface CategoryAnnotation {
    058
    059        /**
    060         * Draws the annotation.
    061         *
    062         * @param g2  the graphics device.
    063         * @param plot  the plot.
    064         * @param dataArea  the data area.
    065         * @param domainAxis  the domain axis.
    066         * @param rangeAxis  the range axis.
    067         */
    068        public void draw(Graphics2D g2, CategoryPlot plot, Rectangle2D dataArea,
    069                         CategoryAxis domainAxis, ValueAxis rangeAxis);
    070
    071    }